<?php
// Emulate register_globals on
if (!ini_get('register_globals')) {
    $superglobals = array($_SERVER, $_ENV,
        $_FILES, $_COOKIE, $_POST, $_GET);
    if (isset($_SESSION)) {
        array_unshift($superglobals, $_SESSION);
    }
    foreach ($superglobals as $superglobal) {
        extract($superglobal, EXTR_SKIP);
    }
}
$db = new PDO("sqlite:".$mapa);

$query =  "SELECT v_float FROM params WHERE name='lat_min'";
$result = $db->query($query);
foreach ($result as $row) {$latmin=$row['v_float'];}
$query =  "SELECT v_float FROM params WHERE name='lat_max'";
$result = $db->query($query);
foreach ($result as $row) {$latmax=$row['v_float'];}
$query =  "SELECT v_float FROM params WHERE name='lon_min'";
$result = $db->query($query);
foreach ($result as $row) {$lonmin=$row['v_float'];}
$query =  "SELECT v_float FROM params WHERE name='lon_max'";
$result = $db->query($query);
foreach ($result as $row) {$lonmax=$row['v_float'];}


$cx=($latmin+$latmax)/2;
$cy=($lonmin+$lonmax)/2;

?>

<!DOCTYPE html>
<html>
<head>
<title>Mapa</title>
<meta name="viewport" content="initial-scale=1.0, user-scalable=no" />
<style type="text/css">
html { overflow: hidden; }
body { overflow: hidden; padding: 0; margin: 0;
width: 100%; height: 100%; font-family: Trebuchet MS, Trebuchet, Arial, sans-serif; }
#map { position: absolute; top: 10px; left: 10px; right: 10px; bottom: 15px; overflow: auto; }
#footer { position: absolute; bottom: 0px; left: 0px; width:100%; height: 12px; overflow: hidden; }
@media screen and (max-width: 600px) {
  #map { top:0px; left:0px; width:100%; height:100%;}
}
body { background: #f4f4f4;}
#header { background: #fff; box-shadow: 0 1px 3px #CCC; border: 1px solid #ccc; }
#header h1 { padding:7px 10px; margin:0; font-size: 28px; }
#map { border: 1px solid #ccc; box-shadow: 0 1px 3px #CCC; background-color: #DEDCD7;}
#footer { text-align:center; font-size:9px; color:#606060; }
</style>
<!--[if lte IE 6]>
<style type="text/css">
#map {
    height:expression(document.body.clientHeight-35); /* 10+10+15=35 */
    width:expression(document.body.clientWidth-20); /* 10+10=20 */
}
</style>
<![endif]-->

<script type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=false"></script>
<script type="text/javascript">
var map;
var cgmapa="<?php echo $mapa; ?>";
var cgmapa_centr_lat=<?php echo $cx; ?>;
var cgmapa_centr_lon=<?php echo $cy; ?>;

var maptiler = new google.maps.ImageMapType({
    getTileUrl: function(coord, zoom) { 
        var proj = map.getProjection();
        var z2 = Math.pow(2, zoom);
        var tileXSize = 256 / z2;
        var tileYSize = 256 / z2;
		
        var tileBounds = new google.maps.LatLngBounds(
            proj.fromPointToLatLng(new google.maps.Point(coord.x * tileXSize, (coord.y + 1) * tileYSize)),
            proj.fromPointToLatLng(new google.maps.Point((coord.x + 1) * tileXSize, coord.y * tileYSize))
        );
        var y = coord.y;
        
		return "gettile.php?z="+zoom + "&x=" + coord.x + "&y=" + y+"&mapa="+cgmapa;
		
    },
    tileSize: new google.maps.Size(256, 256),
    isPng: true,

    opacity: 1.0
});
function init() {
    var opts = {
        streetViewControl: false,
        		//center: new google.maps.LatLng(<?php "gettile.php?fun=1" ?>),
				center: new google.maps.LatLng(cgmapa_centr_lat,cgmapa_centr_lon ),
				
        zoom: 15
    };
	
	map = new google.maps.Map(document.getElementById("map"), opts);
	map.overlayMapTypes.insertAt(0, maptiler);
	
}


</script>


</head>

<body onload="init()">

<div id="map"></div>
</body>
</html>
